Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.xml
Class StreamingMarkupWriter

    java.lang.Object
      java.io.Writer
          groovy.xml.streamingmarkupsupport.StreamingMarkupWriter
              org.codehaus.groovy.grails.web.xml.StreamingMarkupWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable

    public class StreamingMarkupWriter

extends groovy.xml.streamingmarkupsupport.StreamingMarkupWriter

Specialized StreamingMarkupWriter that handles the escaping of double quotes in XML attributes

Since:
  1.1
Author:
  Siegfried Puchbauer

Field Summary

Fields inherited from class groovy.xml.streamingmarkupsupport.StreamingMarkupWriter
`encoder, encoding, encodingKnown, haveHighSurrogate, surrogatePair, writer, writingAttribute`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`StreamingMarkupWriter(Writer writer)`
`StreamingMarkupWriter(Writer writer, String s)`

Method Summary
`void` | `write(int i)`

Methods inherited from class groovy.xml.streamingmarkupsupport.StreamingMarkupWriter
`close, escaped, flush, getEncoding, getEncodingKnown, setWritingAttribute, unescaped, write`

Methods inherited from class java.io.Writer
`append, append, append, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamingMarkupWriter

    public StreamingMarkupWriter(Writer writer,
                                 String s)

### StreamingMarkupWriter

    public StreamingMarkupWriter(Writer writer)

Method Detail

### write

    public void write(int i)
               throws IOException

  Overrides:
    `write` in class `groovy.xml.streamingmarkupsupport.StreamingMarkupWriter`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD